[Asus U36JC] Non-existent display detected in both intel driver and nvidia driver (Optimus Laptop) (ubuntu trusty 14.04)

Bug #1296020 reported by sgon00 on 2014-03-22
238
This bug affects 46 people
Affects Status Importance Assigned to Milestone
nvidia-prime (Ubuntu)
Critical
Unassigned
Precise
Critical
Alberto Milone
Trusty
Critical
Unassigned
ubuntu-drivers-common (Ubuntu)
Critical
Alberto Milone
Precise
Critical
Unassigned
Trusty
Critical
Alberto Milone

Bug Description

SRU Request

Systems with Optimus (Intel+NVIDIA GPUs) can have ghost VGA devices hardcoded in the BIOS. This leads the system into thinking that there is actually one more active output than there really is.

[Impact]
 * The ghost VGA output confuses lightdm and the gnome-settings-daemon making the system unusable.

[Test Case]
 * Install the nvidia binary driver, reboot, and check the output of the "xrandr -q" command
    - Expected: only the outputs that are actually connected will be marked as active.
    - Bad behavior: a non-existent VGA device will show up in the output.

[Regression Potential]
 * Low, as it only disables CRT outputs in the nvidia driver.

[Other Info]
 * N/A

--

There is a non existent display detected in both intel driver only and nvidia 331 driver installation.
The non existent display is "Unknown Display" shown in gnome-control-center --> display and "CRT-0" in nvidia-settings, and "VGA-0" in xrandr -q output.
It will cause gdm failed to start. gnome-shell has some crazy layouts. lightdm will only occupy 2/3 of monitor in top left corner.
I tested this in intel driver only environment. and nvidia-331 installation environment.
My laptop is Asus U36JC. My monitor correct resolution is 1366x768.

The following is the output of "xrandr -q" in gnome-shell with nvidia-331 installed:

$ xrandr -q
Screen 0: minimum 8 x 8, current 1366 x 768, maximum 8192 x 8192
VGA-0 connected primary 680x384+0+0 (normal left inverted right x axis y axis) 0mm x 0mm panning 1366x768+0+0
   680x384 60.0*+
   1366x768 60.0
   1360x768 60.0
HDMI-0 disconnected (normal left inverted right x axis y axis)
LVDS-1-0 connected 1366x768+0+0 (normal left inverted right x axis y axis) 293mm x 165mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0 60.0
   960x720 60.0
   928x696 60.1
   896x672 60.0
   960x600 60.0
   960x540 60.0
   800x600 60.0 60.3 56.2
   840x525 60.0 59.9
   800x512 60.2
   700x525 60.0
   640x512 60.0
   720x450 59.9
   640x480 60.0 59.9
   680x384 59.8 60.0
   576x432 60.1
   512x384 60.0
   400x300 60.3 56.3
   320x240 60.1
VGA-1-0 disconnected (normal left inverted right x axis y axis)
HDMI-1-0 disconnected (normal left inverted right x axis y axis)
DisplayPort-1-0 disconnected (normal left inverted right x axis y axis)
  1366x768 (0x46) 69.3MHz
        h: width 1366 start 1425 end 1464 total 1472 skew 0 clock 47.1KHz
        v: height 768 start 773 end 782 total 785 clock 60.0Hz
  1360x768 (0x48) 72.0MHz
        h: width 1360 start 1408 end 1440 total 1520 skew 0 clock 47.4KHz
        v: height 768 start 771 end 781 total 790 clock 60.0Hz
  680x384 (0x5c) 36.0MHz
        h: width 680 start 704 end 720 total 760 skew 0 clock 47.4KHz
        v: height 384 start 385 end 390 total 395 clock 60.0Hz

The following is the output of "xrandr -q" in lxde with nvidia-331 installed:

$ xrandr -q
Screen 0: minimum 8 x 8, current 1366 x 768, maximum 8192 x 8192
VGA-0 connected primary 1024x768+31+0 (normal left inverted right x axis y axis) 0mm x 0mm panning 1366x768+0+0
   680x384 60.0 +
   1366x768 60.0
   1360x768 60.0
HDMI-0 disconnected (normal left inverted right x axis y axis)
LVDS-1-0 connected 1366x768+0+0 (normal left inverted right x axis y axis) 293mm x 165mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0 60.0
   960x720 60.0
   928x696 60.1
   896x672 60.0
   960x600 60.0
   960x540 60.0
   800x600 60.0 60.3 56.2
   840x525 60.0 59.9
   800x512 60.2
   700x525 60.0
   640x512 60.0
   720x450 59.9
   640x480 60.0 59.9
   680x384 59.8 60.0
   576x432 60.1
   512x384 60.0
   400x300 60.3 56.3
   320x240 60.1
VGA-1-0 disconnected (normal left inverted right x axis y axis)
HDMI-1-0 disconnected (normal left inverted right x axis y axis)
DisplayPort-1-0 disconnected (normal left inverted right x axis y axis)
  1366x768 (0x46) 69.3MHz
        h: width 1366 start 1425 end 1464 total 1472 skew 0 clock 47.1KHz
        v: height 768 start 773 end 782 total 785 clock 60.0Hz
  1360x768 (0x48) 72.0MHz
        h: width 1360 start 1408 end 1440 total 1520 skew 0 clock 47.4KHz
        v: height 768 start 771 end 781 total 790 clock 60.0Hz
  1024x768 (0x4a) 65.0MHz
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.4KHz
        v: height 768 start 771 end 777 total 806 clock 60.0Hz
  680x384 (0x5c) 36.0MHz
        h: width 680 start 704 end 720 total 760 skew 0 clock 47.4KHz
        v: height 384 start 385 end 390 total 395 clock 60.0Hz

Note: this Unknown non-existent display happens in intel driver only environment TOO. If required, I can provide "xrandr -q" output with that environment. At present, I don't bother to remove/purge my nvidia-331 installation.

Please let me know if anything else is required. Thank you very much!

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8
ProcVersionSignature: Ubuntu 3.13.0-18.38-generic 3.13.6
Uname: Linux 3.13.0-18-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 331.38 Wed Jan 8 19:32:30 PST 2014
 GCC version: gcc version 4.8.2 (Ubuntu 4.8.2-16ubuntu6)
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: LXDE
Date: Sat Mar 22 18:47:26 2014
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus:
 bbswitch, 0.7, 3.13.0-17-generic, x86_64: installed
 bbswitch, 0.7, 3.13.0-18-generic, x86_64: installed
 nvidia-331, 331.38, 3.13.0-18-generic, x86_64: installed
EcryptfsInUse: Yes
ExtraDebuggingInterest: No
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:1542]
 NVIDIA Corporation GT218M [GeForce 310M] [10de:0a70] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:1542]
InstallationDate: Installed on 2014-03-04 (17 days ago)
InstallationMedia: Ubuntu-GNOME 14.04 "Trusty Tahr" - Alpha amd64 (20140226)
MachineType: ASUSTeK Computer Inc. U36JC
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-18-generic root=UUID=0d039a7c-cdff-4d22-9604-569584977a76 ro quiet splash
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/26/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: U36JC.205
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: U36JC
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrU36JC.205:bd01/26/2011:svnASUSTeKComputerInc.:pnU36JC:pvr1.0:rvnASUSTeKComputerInc.:rnU36JC:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: U36JC
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0-1ubuntu1
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.15.0-1ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Sat Mar 22 12:36:00 2014
xserver.configfile: /etc/X11/xorg.conf
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.15.0-1ubuntu7

sgon00 (sgon00) wrote :
description: updated
Tim (darkxst) wrote :

CRT-0 (VGA-0) seems to be coming from the NVIDIA card, up until recently that was configured with Option "UseDisplayDevice" "none"(LP: #1290711)

no longer affects: ubuntu-drivers-common (Ubuntu)
tags: added: bios-outdated-206 regression-potential
summary: - Non-existent display detected in both intel driver and nvidia driver
- (Optimus Laptop) (ubuntu trusty 14.04)
+ [Asus U36JC] Non-existent display detected in both intel driver and
+ nvidia driver (Optimus Laptop) (ubuntu trusty 14.04)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Lévai Marcell (octolith) wrote :

Hi,

The same bug affects me too. I have a Dell n5110 laptop with an i7 CPU (Intel HD graphics 3000) and Nvidia GeFroce 525m. Whenever I enable the nvidia-331 driver in setting and reboot, my system hangs at the gnome loading screen. If there's anything I can do to help, please tell me.

It renders the system temporarily or permanently unusable.

Changed in xorg (Ubuntu):
importance: Undecided → Critical
Lévai Marcell (octolith) wrote :

My "xrandr -q" output on Xubuntu with nvidia-331 driver installed:

Screen 0: minimum 8 x 8, current 1366 x 768, maximum 16384 x 16384
VGA-0 connected primary 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm panning 1366x768+0+0
   1366x768 60.0 +
HDMI-0 disconnected (normal left inverted right x axis y axis)
LVDS-1-0 connected 1366x768+0+0 (normal left inverted right x axis y axis) 344mm x 193mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0 60.0
   960x720 60.0
   928x696 60.1
   896x672 60.0
   960x600 60.0
   960x540 60.0
   800x600 60.0 60.3 56.2
   840x525 60.0 59.9
   800x512 60.2
   700x525 60.0
   640x512 60.0
   720x450 59.9
   640x480 60.0 59.9
   680x384 59.8 60.0
   576x432 60.1
   512x384 60.0
   400x300 60.3 56.3
   320x240 60.1
VGA-1-0 disconnected (normal left inverted right x axis y axis)
  1366x768 (0x44) 65.1MHz
        h: width 1366 start 1382 end 1390 total 1398 skew 0 clock 46.6KHz
        v: height 768 start 771 end 775 total 776 clock 60.0Hz
  1024x768 (0x48) 65.0MHz
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.4KHz
        v: height 768 start 771 end 777 total 806 clock 60.0Hz

sgon00 (sgon00) wrote :

I removed/purged nvidia-331 today. The following is "xrandr -q" output with intel driver only case. Note: in this case, the non-existent display is VGA-1-2.

$ xrandr -q
Screen 0: minimum 320 x 200, current 3286 x 1080, maximum 32767 x 32767
LVDS1 connected primary 1366x768+0+0 (normal left inverted right x axis y axis) 293mm x 165mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 connected 1920x1080+2390+0 (normal left inverted right x axis y axis) 509mm x 286mm
   1920x1080 60.0*+
   1280x1024 75.0 60.0
   1152x864 75.0
   1024x768 75.1 60.0
   800x600 75.0 60.3
   640x480 75.0 60.0
   720x400 70.1
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
VGA-1-2 connected 1024x768+1366+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768 60.0*
   800x600 60.3 56.2
   848x480 60.0
   640x480 59.9
HDMI-1-2 disconnected (normal left inverted right x axis y axis)
  1024x768 (0x44) 65.0MHz
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.4KHz
        v: height 768 start 771 end 777 total 806 clock 60.0Hz
  800x600 (0x45) 40.0MHz
        h: width 800 start 840 end 968 total 1056 skew 0 clock 37.9KHz
        v: height 600 start 601 end 605 total 628 clock 60.3Hz
  800x600 (0x46) 36.0MHz
        h: width 800 start 824 end 896 total 1024 skew 0 clock 35.2KHz
        v: height 600 start 601 end 603 total 625 clock 56.2Hz

Lévai Marcell (octolith) wrote :

Another bug that is related to the unknown display: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1251992

Shu Hung (Koala) (koalay) wrote :

I have a similar problem.

`xrandr -q` gives me the below output:

Screen 0: minimum 320 x 200, current 2390 x 768, maximum 32767 x 32767
LVDS1 connected primary 1366x768+0+0 (normal left inverted right x axis y axis) 309mm x 173mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
VGA-1-2 connected 1024x768+1366+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768 60.0*
   800x600 60.3 56.2
   848x480 60.0
   640x480 59.9
  1024x768 (0x43) 65.0MHz
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.4KHz
        v: height 768 start 771 end 777 total 806 clock 60.0Hz
  800x600 (0x44) 40.0MHz
        h: width 800 start 840 end 968 total 1056 skew 0 clock 37.9KHz
        v: height 600 start 601 end 605 total 628 clock 60.3Hz
  800x600 (0x45) 36.0MHz
        h: width 800 start 824 end 896 total 1024 skew 0 clock 35.2KHz
        v: height 600 start 601 end 603 total 625 clock 56.2Hz

Shu Hung (Koala) (koalay) wrote :

VGA-1-2 was never there.

When I plug in another monitor, it would be shown as the 3rd monitor.

amuser (sumanthreddy-g) wrote :

I have a similar problem too on Asus N53SV.

Screen 0: minimum 320 x 200, current 2944 x 1080, maximum 32767 x 32767
LVDS1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 194mm
   1920x1080 60.0*+ 59.9
   1680x1050 60.0 59.9
   1600x1024 60.2
   1400x1050 60.0
   1280x1024 60.0
   1440x900 59.9
   1280x960 60.0
   1360x768 59.8 60.0
   1152x864 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
VGA-1-2 connected 1024x768+1920+11 0mm x 0mm
   1024x768 60.0*
   800x600 60.3 56.2
   848x480 60.0
   640x480 59.9
  1024x768 (0x43) 65.0MHz
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.4KHz
        v: height 768 start 771 end 777 total 806 clock 60.0Hz
  800x600 (0x44) 40.0MHz
        h: width 800 start 840 end 968 total 1056 skew 0 clock 37.9KHz
        v: height 600 start 601 end 605 total 628 clock 60.3Hz
  800x600 (0x45) 36.0MHz
        h: width 800 start 824 end 896 total 1024 skew 0 clock 35.2KHz
        v: height 600 start 601 end 603 total 625 clock 56.2Hz

Changed in xorg (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
affects: xorg (Ubuntu) → ubuntu-drivers-common (Ubuntu)
Changed in ubuntu-drivers-common (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
Alberto Milone (albertomilone) wrote :

The problem is caused by the BIOS, which seems to provide a ghost output. We can work around the issue in our gpu-manager.

Changed in ubuntu-drivers-common (Ubuntu):
status: Confirmed → In Progress
Changed in ubuntu-drivers-common (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in ubuntu-drivers-common (Ubuntu Trusty):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Critical
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.2.92.2

---------------
ubuntu-drivers-common (1:0.2.92.2) utopic; urgency=medium

  * gpu-manager.c:
    - Revert switch to the intel driver from modesetting until
      some issues are fixed.
 -- Alberto Milone <email address hidden> Mon, 28 Apr 2014 18:37:02 +0200

Changed in ubuntu-drivers-common (Ubuntu):
status: In Progress → Fix Released
Stefan (xaffax) wrote :

I can confirm having the same issue on 14.04 using geforce 7100GS. I am getting unknown display VGA-0, which is not plugged in with 640x480 resolution. Most desktop managers do not work correctly because of this issue.

Stefan (xaffax) wrote :

Any news on fix to this? This is really annoying... Critical bug is being fixed for so long? It makes the system unusable. Can anyone at least provide a workaround to this? Disabling displays in xorg.conf does not work for me, it still detects unknown display. All linux users say windows is crap and all I see is issues with ubuntu :/... Just great...

Alberto Milone (albertomilone) wrote :

@Stefan: I'm waiting to fix a couple more bugs before I backport the fix.

Stefan (xaffax) wrote :

@Alberto Great! It is good to know that somenthing is going on on the subject, since this seems to be quite a serious problem. Thanks!

Same problem here on Ubuntu 14.04 LTS

my laptop is:
ASUS U36S mounting a Nvidia Geforce 610M - 1GB

When I connect a projector it crash the whole system.

Changed in ubuntu-drivers-common (Ubuntu Precise):
status: New → Invalid
Changed in nvidia-prime (Ubuntu Trusty):
status: New → Invalid
Changed in nvidia-prime (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Alberto Milone (albertomilone)
Petr Dlouhý (petr-dlouhy) wrote :

Hi,

I updated my Ubuntu today and the non-existent display is gone. But the HDMI display is also gone and I am not able to connect any display through HDMI port.

This seems to be an regression of this bug fix. Should I fill in another bug report, or is it OK here?

Alberto Milone (albertomilone) wrote :

@Petr: what Ubuntu release are you using?

Alberto Milone (albertomilone) wrote :

also please attach your /var/log/gpu-manager.log

description: updated
Petr Dlouhý (petr-dlouhy) wrote :

Ubuntu 14.04 on Asus U36JC

Here is xrandr output with HDMI monitor plugged in:
Screen 0: minimum 320 x 200, current 1366 x 768, maximum 32767 x 32767
LVDS1 connected primary 1366x768+0+0 (normal left inverted right x axis y axis) 293mm x 165mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)

Petr Dlouhý (petr-dlouhy) wrote :

Here is the gpu-manager.log

Alberto Milone (albertomilone) wrote :

Petr: the fix hasn't landed yet, so it can't be a regression. The log shows that the nvidia kernel module is not available. Maybe you installed a new kernel (through an update) and you are now missing the relevant kernel headers. The solution is to install the said headers.

ikermart (ikermart) wrote :

Same issue to me, my laptop is ASUS A53S, with nVidia Geforce GT 520MX.
Right now I'm using only HDMI connected monitor because the laptop monitor is a decoupled mirror of the HDMI connected monitor.

Here is xrandr output with HDMI monitor plugged in:
Screen 0: minimum 8 x 8, current 1920 x 1080, maximum 16384 x 16384
VGA-0 connected primary (normal left inverted right x axis y axis)
   680x384 60.0 +
   1366x768 60.0
   1360x768 60.0
LVDS-1-0 connected 1366x768+0+0 344mm x 193mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0 60.0
   960x720 60.0
   928x696 60.1
   896x672 60.0
   960x600 60.0
   960x540 60.0
   800x600 60.0 60.3 56.2
   840x525 60.0 59.9
   800x512 60.2
   700x525 60.0
   640x512 60.0
   720x450 59.9
   640x480 60.0 59.9
   680x384 59.8 60.0
   576x432 60.1
   512x384 60.0
   400x300 60.3 56.3
   320x240 60.1
VGA-1-0 disconnected
HDMI-1-0 connected 1920x1080+0+0 509mm x 286mm
   1920x1080 60.0*+ 50.0 59.9
   1920x1080i 60.1 50.0 60.0
   1680x1050 59.9
   1280x1024 75.0 60.0
   1440x900 59.9
   1280x960 60.0
   1280x720 60.0 50.0 59.9
   1024x768 75.1 70.1 60.0
   832x624 74.6
   800x600 72.2 75.0 60.3 56.2
   720x576 50.0
   720x480 60.0 59.9
   640x480 75.0 72.8 66.7 60.0 59.9
   720x400 70.1
DisplayPort-1-0 disconnected
  1366x768 (0x46) 71.8MHz
        h: width 1366 start 1414 end 1446 total 1526 skew 0 clock 47.1KHz
        v: height 768 start 771 end 777 total 784 clock 60.0Hz
  1360x768 (0x48) 72.0MHz
        h: width 1360 start 1408 end 1440 total 1520 skew 0 clock 47.4KHz
        v: height 768 start 771 end 781 total 790 clock 60.0Hz
  680x384 (0x5c) 36.0MHz
        h: width 680 start 704 end 720 total 760 skew 0 clock 47.4KHz
        v: height 384 start 385 end 390 total 395 clock 60.0Hz

Jan Hermes (janhermes-jh) wrote :

Same issue to me, my laptop is Medio Akoya P8612, with nVidia Geforce GT 555M.
Im using the laptop monitor and a HDMI connected monitor.

My history:

-- Fresh install of Ubuntu 14.04

-- Install "proprietary tested" Nvidia drivers 331 via "Software & Updates"

-- everything seems to work fine, xrandr is not detecting any unknown/bad monitors

-- BUT nvidia-settings tell me I cant use prime.

-- I switch from "proprietary tested" to "proprietary" Nvidia drivers 331 >>updates<< via "Software & Updates"

-- after restart following behaviour:

-- built in display (laptop display)
-- hdmi display (external monitor)
## vga display (integrated window on the external monitor -- (inscreen display))

cannot change that behaviour other than changing from nvidia performance mode to nvidia power safe

Any fixes on that issue yet?

Here is xrandr output with HDMI monitor plugged in:
Screen 0: minimum 8 x 8, current 1920 x 1080, maximum 16384 x 16384

Alberto Milone (albertomilone) wrote :

@Jan: that sounds like a different issue to me. Please file a separate bug report.

Jan Hermes (janhermes-jh) wrote :

Ok I will do that Alberto Milone.. But I think it is closely linked to your bug report, because my system also detects those ghost VGA displays..

With Nouveau (Stock) drivers there is an unkown display in xrandr.

With Proprietary tested Nvidia there is no unkown display but i cant use the prime suppoert

with proprietary nvidia updates there i an unkown display in xrandr and directly within my desktop screen.

But I will put it in a different log tomorrow..

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-prime (Ubuntu):
status: New → Confirmed
Stefan (xaffax) wrote :

So, is there any progress on the issue? It has been reported 3 months ago and still no fix? Is it going to be fixed in next LTS release perhaps? For a so called "desktop system for regular users" it seems rather long for a critical issue...

Alberto Milone (albertomilone) wrote :

@Stefan: I uploaded the fixes for 14.04 and 12.04 on 06/06/2014 but they're stuck in the queue waiting for the SRU team to review and to approve them.

Tim (darkxst) wrote :

@Alberto, hmm oddly, it doesnt seem to be appearing in the SRU queue

Alberto Milone (albertomilone) wrote :

ubuntu-drivers-common in trusty-proposed:
https://launchpad.net/ubuntu/trusty/+queue?queue_state=1&queue_text=ubuntu-drivers-common

That shows that I re-uploaded ubuntu-drivers-common on 12/06/2014 to include another fix.

And here's nvidia-prime in precise-proposed:
https://launchpad.net/ubuntu/precise/+queue?queue_state=0&queue_text=nvidia-prime

Stefan (xaffax) wrote :

@Alberto Thanks, too bad there was no update that it is being implemented and the fix is there essentially. Thanks for supporting this as well, I hope it will become available soon.

Hello sgon00, or anyone else affected,

Accepted ubuntu-drivers-common into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.2.91.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-drivers-common (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Stefan (xaffax) wrote :

Brian, Alberto,

I have installed and tested the package, no changes on my side, still getting unknown display and xrandr -q gets me unconnected displays as connected... I have not changed the tag to verification-failes, because I have no idea where is this option (maybe I am stupid, but this forum is very unclear for me).

Below is what I did and why it does not work in my opinion:
1. Added proposed trusty updates by adding deb http://archive.ubuntu.com/ubuntu/ trusty-proposed restricted main multiverse universe to sources.list
2. Ran apt-get update
3. Ran apt-get install ubuntu-drivers-common (did not want to install any of the other proposed packages, since most likely those would break the system)
4. Ran xrandr -q (and got wrong output)
5. Rebooted
6. Ran xrandr -q (and got wrong output)

Here is the output:
xaffax@xaffax-router:~$ xrandr -q
Screen 0: minimum 8 x 8, current 1280 x 1024, maximum 4096 x 4096
VGA-0 connected (normal left inverted right x axis y axis)
   640x480 59.9 +
   320x240 60.1
TV-0 disconnected (normal left inverted right x axis y axis)
DVI-I-0 connected primary 1280x1024+0+0 (normal left inverted right x axis y axis) 337mm x 270mm
   1280x1024 60.0*+
   1024x768 75.0 70.1 60.0
   800x600 75.0 60.3
   640x480 75.0 59.9

Obviously only DVI-I-0 is connected.

To confirm correct package is installed:
xaffax@xaffax-router:~$ apt-cache policy ubuntu-drivers-common
ubuntu-drivers-common:
  Installed: 1:0.2.91.6
  Candidate: 1:0.2.91.6
  Version table:
 *** 1:0.2.91.6 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.2.91.5 0
        500 http://pl.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
     1:0.2.91.4 0
        500 http://pl.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

If I amd doing something wrong, please let me know.

Alberto Milone (albertomilone) wrote :

@Stefan: please attach your /var/log/Xorg.0.log

Lévai Marcell (octolith) wrote :

I did a fresh installation of Ubuntu right now. I updated it, rebooted, didn't change anything that could possibly interfere.

I get the same (wrong) output for xrandr -q after updating ubuntu-drivers-common package to the proposed version (the way it's described in the wiki). The ghost display is still in the settings.

I attached my Xorg.0.log

Ps. My machine is a Dell N5110 15R with Intel Graphics 3000 and an Nvidia gt525m.

Lévai Marcell (octolith) wrote :

Here's my xrandr -q output:

Screen 0: minimum 320 x 200, current 2390 x 768, maximum 32767 x 32767
LVDS1 connected primary 1366x768+0+0 (normal left inverted right x axis y axis) 344mm x 193mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
VGA-1-2 connected 1024x768+1366+0 0mm x 0mm
   1024x768 60.0*
   800x600 60.3 56.2
   848x480 60.0
   640x480 59.9
HDMI-1-1 disconnected
  1024x768 (0x44) 65.0MHz
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.4KHz
        v: height 768 start 771 end 777 total 806 clock 60.0Hz
  800x600 (0x45) 40.0MHz
        h: width 800 start 840 end 968 total 1056 skew 0 clock 37.9KHz
        v: height 600 start 601 end 605 total 628 clock 60.3Hz
  800x600 (0x46) 36.0MHz
        h: width 800 start 824 end 896 total 1024 skew 0 clock 35.2KHz
        v: height 600 start 601 end 603 total 625 clock 56.2Hz

Alberto Milone (albertomilone) wrote :

@Lévai: sorry but this bug report is about the nvidia proprietary driver. The log shows that you're using the nouveau driver.

Lévai Marcell (octolith) wrote :

Okay, I installed the tested nvidia-331 package and the ghost display no longer appears. Thanks!

I'll report/mark as affected the nouveau bug too then. (If anyone's wondering it seems to be #1301414 )

Sunbriel (sunbriel-chan) wrote :

I have Asus K95VJ (Intel/Nvidia GT 635M) and am affected by this bug as well. System hangs on Gnome splash screen after installing proprietary Nvidia drivers via Additional Drivers. How come a critical bug like this still hasn't been fixed after 3-4 months?

Alberto Milone (albertomilone) wrote :

@Sunbriel: it might not be the same issue as the one dealt with in this bug report (your problem can be caused by a number of problems). If you want you can help by following the instructions in comment #35, and by posting your /var/log/Xorg.0.log and /var/log/gpu-manager.log afterwards.

TheMechanist (example902) wrote :

I can confirm your fix is working Alberto :) Thank you very much.
Without it the game "The Book of Unwritten Tales" on Steam won't start (http://steamcommunity.com/app/215160/discussions/0/864973981017348556/).
I'm using Ubuntu 14.04 with the nvidia-331-updates and active nvdia-prime (sudo prime-select nvidia). Current DE ist Cinnamon from a third party PPA, but the original bug also affected at least the Gnome-Shell that comes with 14.04.
Current ubuntu-drivers-common (after activating and upgrading to propose) package is (taken info from apt-cache show):
Package: ubuntu-drivers-common

Priority: optional
Section: admin
Installed-Size: 261
Maintainer: Ubuntu Developers <email address hidden>
Architecture: i386
Version: 1:0.2.91.6
Replaces: jockey-common, jockey-gtk, jockey-kde, nvidia-common (<< 1:0.2.46)
Provides: jockey-common, jockey-gtk, jockey-kde, nvidia-common
Depends: python3:any (>= 3.3.2-2~), python3, debconf (>= 0.5.00) | debconf-2.0, libc6 (>= 2.4), libdrm2 (>= 2.4.3), libpciaccess0 (>= 0.10.7), pciutils, python3-apt, python3-xkit, udev (>= 204-0ubuntu4~), usbutils, alsa-utils, kmod | module-init-tools
Pre-Depends: dpkg (>= 1.15.7.2)
Suggests: python3-aptdaemon.pkcompat
Conflicts: jockey-common, jockey-gtk, jockey-kde, nvidia-common (<< 1:0.2.46)
Breaks: nvidia-prime (<< 0.6)
Filename: pool/main/u/ubuntu-drivers-common/ubuntu-drivers-common_0.2.91.6_i386.deb
Size: 41364
MD5sum: c95e08ea246f95d75966e3b248b9e601
SHA1: 44bbee03cc8defaea8bef6f69c71a3bbf2f49ecb
SHA256: ab98da2fbd3648ff6c722c700d19bf05bcb6f3b1669cd4d9c98f6131bcc5ab4b

Are these information enough to verificate your fix? Sorry but I'm new to this bug tracking stuff ;) Let me know if you need further info/I did waste your time with useless info ;)
And thanks again for you great work :)

Steffi (steffi) wrote :

I have a very similar issue, but on Acer Aspire 3820TG-7360 with Intel builtin i3-370M and ATI Mobility Radeon HD 5650. However, in my case the two displays are both called "Built-in Display". And my xrandr -q output shows that the first is LVDS1 while the second is LVDS-1-1 (see below). This was an issue during the installation as well and made it difficult to install (I had to reboot several times) because the installation dialogue occasionally appeared offscreen on the non-existant display, rather than the actual display (as seen by screen tearing and using Alt-Tab). Attaching an external monitor merely adds a third display. This renders my installation unstable as often my laptop screen goes is blank at the login screen, (although I can hear the login music) or there seem to be two, overlapping login screens. Once logged in, I can mirror the displays to prevent windows opening in the non-existant display, but graphics are slow and tearing.

The fix above did not help.

Should I open a new bug report? Or is this simialr enough to be considered the same? I'm happy to provide any more information that could help.

Thanks

xrandr -q
Screen 0: minimum 320 x 200, current 1366 x 768, maximum 32767 x 32767
LVDS1 connected primary 1366x768+0+0 (normal left inverted right x axis y axis) 293mm x 165mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
LVDS-1-1 connected 1366x768+0+0 0mm x 0mm
   1366x768 60.0*+
   1280x720 59.9
   1152x768 59.8
   1024x768 59.9
   800x600 59.9
   848x480 59.7
   720x480 59.7
   640x480 59.4
HDMI-1-0 disconnected
VGA-1-1 disconnected
  1366x768 (0x49) 72.3MHz
        h: width 1366 start 1414 end 1446 total 1526 skew 0 clock 47.4KHz
        v: height 768 start 771 end 776 total 790 clock 60.0Hz

Henk Langeveld (hlangeveld) wrote :

This appears to affect my ASUS K73SD with Intel HD3000 + NVIDIA 610M.

System Settings -> Displays shows a 720x540 'Unknown Display'.
xrandr -q attached. I will get the update from Trusty-Proposed.

Henk Langeveld (hlangeveld) wrote :

After adding trusty proposed to my ppa list, and pinning trusty proposed in apt preferences, I got the update 1:0.2.91.6 installed.
After a reboot nvidia-settings now shows:

  X Screen 0
(No Scanout)

instead of the 720x540

Tested with minecraft - it works, while before it would not display.

Gregor Gramlich (gramlich) wrote :

@hlangeveld
Could you please give instructions, how to add trusty proposed to the ppa list and pinning it in apt prefs?
I have the same problems after updating to 14.04 and my search
https://launchpad.net/ubuntu/+ppas?name_filter=trusty+proposed
did not yield anything that I can make sense of.

Henk Langeveld (hlangeveld) wrote :

See comment #35 and the link to the EnableProposed docs.

You need to modify "/etc/apt/sources.list", and "/etc/apt/preferences". (I actually created a separate file "/etc/apt/preferences.d/pin-trusty-proposed" instead, worked the same.)

The two modifications in /etc/apt/ will then allow you to 'apt-get install ubuntu-drivers-common/trusty-proposed'

Morten Frisch (fmfrisch) wrote :

I am experiencing a very similar bug. ALthough I am using the nouveau driver. I made a separate bug report for my issues: #1349121 I also switched to the proprietary driver and tried the fix submitted, it did however not solve my issues. Are these different issues?

sgon00 (sgon00) wrote :

After installing ubuntu-drivers-common 1:0.2.91.6:

1, With intel driver (nvidia driver not installed), the problem is NOT fixed. Non-existent display is still there.

2, With nvidia driver installed, my gdm can not be started. (I am using gnome).

Lévai Marcell (octolith) wrote :

@sgon00
1. Please see the comment above yours (#50) and #40. It is treated as a different bug.
2. Check bug #1262068 here: https://bugs.launchpad.net/ubuntu/trusty/+source/gdm/+bug/1262068

claudio (c-caccia) wrote :

Same for me, as described by sgon00.
I am too using Gnome.

pewe combi (pewecombi) wrote :

I just upgrade from 13.04 to 14.04 2 weeks ago, and today I connect external monitor.
I have a ghost monitor. while it didnt appear when I use 13.04.

my laptop is lenovo e330 ...
im not sure with the system inside.

lucky me, I dont have any crash or something because of this.

below is gpu manager log
----------------------------------------------------------------------------------------------------------------

log_file: /var/log/gpu-manager.log
last_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
new_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
Skipping "/dev/dri/card1", driven by "nouveau"
Found "/dev/dri/card0", driven by "i915"
output 0:
 LVDS connector
Number of connected outputs for /dev/dri/card0: 1
Does it require offloading? yes
grep dmesg status 256
dmesg status 256 == 0? No
grep dmesg status 256
dmesg status 256 == 0? No
Is nvidia loaded? no
Was nvidia unloaded? no
Is fglrx loaded? no
Was fglrx unloaded? no
Is intel loaded? yes
Is radeon loaded? no
Is nouveau loaded? yes
Vendor/Device Id: 8086:166
BusID "PCI:0@0:2:0"
Is boot vga? yes
Vendor/Device Id: 10de:1058
BusID "PCI:1@0:0:0"
Is boot vga? no
last cards number = 2
Has amd? no
Has intel? yes
Has nvidia? yes
How many cards? 2
Has the system changed? No
main_arch_path i386-linux-gnu, other_arch_path x86_64-linux-gnu
Current alternative: /usr/lib/i386-linux-gnu/mesa/ld.so.conf
Is nvidia enabled? no
Is fglrx enabled? no
Is mesa enabled? yes
Is pxpress enabled? no
Is prime enabled? no
Is nvidia available? no
Is fglrx available? no
Is mesa available? yes
Is pxpress available? no
Is prime available? no
Intel IGP detected
Desktop system detected
or laptop with open drivers
Discrete NVIDIA card detected
can't access /etc/X11/xorg.conf
Driver not enabled or not in use
Nothing to do

Alberto Milone (albertomilone) wrote :

@Morten: it's the same problem (caused by the BIOS) but, if you're using nouveau, a separate bug report (such as the one you filed) is more appropriate.

@sgon00: case 1 is really LP: #1349121, case 2 (as Lévai pointed out) is really LP: #1262068, and it has only been fixed in Ubuntu 14.10.

@pewe: you're using the nouveau driver, so LP: #1349121 is the bug report you should keep an eye on. This bug report is about the nvidia binary driver.

Devin (thatguyweallknow) wrote :

This bug effects me. Ubuntu 14.04, a fresh install.

Prop. Nvidia diver 331
Nvidia 540m
2nd gen sandybridge intel cpu/gpu

Scott Kitterman (kitterman) wrote :

This bug seems to have entangled several issues. There is a pending update that may address some of these issue. After installing this update, if you haven't already, file a new bug. This one is done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.2.91.6

---------------
ubuntu-drivers-common (1:0.2.91.6) trusty-proposed; urgency=medium

  * UbuntuDrivers/detect.py, debian/tests/system, tests/ubuntu_drivers.py:
    - Do not autoinstall the broadcom driver. The open driver should be a
      better solution now (LP: #1306928), as the binary driver prevents
      a number of systems from using the wireless card.
    - Autoinstall linux-firmware-nonfree. This will help now that we no
      longer autoinstall Broadcom's binary driver.
    - Fix the relevant tests now that linux-firmware-nonfree has replaced
      bcmwl.
  * gpu-manager.c, tests/gpu-manager.py:
    - Ignore CRT displays when using PRIME. This works around systems whose
      BIOS provides a ghost output (LP: #1296020).
    - Check that we don't remove xorg.confs on 1st boot (as per the
      previous SRU).
    - Try harder when loading bbswitch (LP: #1310023). If loading bbswitch
      fails try with or without the "skip_optimus_dsm=1" option. Also, make
      sure that we trim dmi resources or matching will give us false
      positives.
    - Switch to intel/SNA for optimus systems (LP: #1326257).
    - Make sure to unload nvidia-uvm or nvidia won't be
      unloaded.
    - Make sure to walk properly the /dev/dri dir. This
      prevents the program from stopping when, for example
      /dev/dri/card1 is available while /dev/dri/card0 is
      not.
 -- Alberto Milone <email address hidden> Fri, 06 Jun 2014 11:20:28 +0200

Changed in ubuntu-drivers-common (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-drivers-common has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

tags: added: nvidia-prime
removed: bios-outdated-206 regression-potential ubuntu
Changed in nvidia-prime (Ubuntu Trusty):
importance: Undecided → Critical
Changed in nvidia-prime (Ubuntu):
importance: Undecided → Critical
Changed in ubuntu-drivers-common (Ubuntu Precise):
importance: Undecided → Critical
Changed in nvidia-prime (Ubuntu Precise):
status: In Progress → Confirmed
witem (witem-artem) wrote :

Same issue to me, my laptop is Dell Inspirion N5110, with nVidia Geforce GT 425M.
Nvidia-settings not display laptop monitor.
--------------------------------------
xrandr -q

Screen 0: minimum 8 x 8, current 1920 x 1080, maximum 16384 x 16384
HDMI-0 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 509mm x 286mm
   1920x1080 60.0*+ 59.9 50.0 60.0 50.0
   1680x1050 60.0
   1440x900 75.0 59.9
   1280x1024 75.0 60.0
   1280x960 60.0
   1280x720 60.0 59.9 50.0
   1152x864 75.0
   1024x768 75.0 70.1 60.0
   800x600 75.0 72.2 60.3 56.2
   720x576 50.0
   720x480 59.9
   640x480 75.0 72.8 59.9 59.9
   480x576 50.0
LVDS1 connected
   1366x768 60.0 + 40.1
   1360x768 59.8 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected
VIRTUAL1 disconnected
  1024x768 (0x2c5) 65.0MHz
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.4KHz
        v: height 768 start 771 end 777 total 806 clock 60.0Hz
  800x600 (0x2c8) 40.0MHz
        h: width 800 start 840 end 968 total 1056 skew 0 clock 37.9KHz
        v: height 600 start 601 end 605 total 628 clock 60.3Hz
  800x600 (0x2c9) 36.0MHz
        h: width 800 start 824 end 896 total 1024 skew 0 clock 35.2KHz
        v: height 600 start 601 end 603 total 625 clock 56.2Hz
  640x480 (0x2ce) 25.2MHz
        h: width 640 start 656 end 752 total 800 skew 0 clock 31.5KHz
        v: height 480 start 490 end 492 total 525 clock 59.9Hz

------------------------------------------

witem (witem-artem) wrote :

gpu-manage log

Alberto Milone (albertomilone) wrote :

@witem: the log shows that the laptop display (LVDS) was detected and that the driver was enabled. Maybe you're dealing with a bug in the nvidia driver 340.58. Feel free to file a separate bug report for that.

tags: added: nvidia
removed: nvidia-prime
witem (witem-artem) wrote :

@albertomilone: this bug is in previus version nvidia driver and in 340.58 and in 340.65

Changed in nvidia-prime (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-prime (Ubuntu Precise):
status: Confirmed → Triaged
Marian Baca (baca-mayo) wrote :

This bug also appears on the latest LTS release, provided files are from live session so there is no nvidia-prime package installed (should I open new bug?) I am using Lenovo G580 and also have dual graphics cards intel/nvidia. I am enclosing lshw output in the attachment.

 lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04 LTS
Release: 16.04
Codename: xenial

xrandr
Screen 0: minimum 8 x 8, current 2390 x 768, maximum 32767 x 32767
LVDS1 connected primary 1366x768+0+0 (normal left inverted right x axis y axis) 344mm x 194mm
   1366x768 60.00*+
   1360x768 59.80 59.96
   1280x720 60.00
   1024x768 60.00
   1024x576 60.00
   960x540 60.00
   800x600 60.32 56.25
   864x486 60.00
   640x480 59.94
   720x405 60.00
   680x384 60.00
   640x360 60.00
DP1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
VGA1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
VGA-1-2 connected 1024x768+1366+0 0mm x 0mm
   1024x768 60.00*
   800x600 60.32 56.25
   848x480 60.00
   640x480 59.94
  1024x768 (0x43) 65.000MHz -HSync -VSync
        h: width 1024 start 1048 end 1184 total 1344 skew 0 clock 48.36KHz
        v: height 768 start 771 end 777 total 806 clock 60.00Hz
  800x600 (0x44) 40.000MHz +HSync +VSync
        h: width 800 start 840 end 968 total 1056 skew 0 clock 37.88KHz
        v: height 600 start 601 end 605 total 628 clock 60.32Hz
  800x600 (0x45) 36.000MHz +HSync +VSync
        h: width 800 start 824 end 896 total 1024 skew 0 clock 35.16KHz
        v: height 600 start 601 end 603 total 625 clock 56.25Hz
  640x480 (0x47) 25.175MHz -HSync -VSync
        h: width 640 start 656 end 752 total 800 skew 0 clock 31.47KHz
        v: height 480 start 490 end 492 total 525 clock 59.94Hz

To post a comment you must log in.